### Function

# EBookContacts AddressWestern parse

#### Declaration [src]

    EAddressWestern*
    e_address_western_parse (
      const gchar* in_address
    )

#### Description [src]

Parses a string representing a mailing address into a structure of type `EAddressWestern`.

#### Parameters

`in_address`

  Type: `const gchar*`

  A string representing a mailing address.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `EAddressWestern`

A new `EAddressWestern` structure, or `NULL` if the parsing failed or when the `in_address` was `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.